# @bd/wcui

百搭 WCUI 组件库, 基于 web components 开发。面向下一代的 UI 组件库

### 开发环境

- vscode 开源编辑器

  - `Prettier`插件, 格式化代码用
  - `string-html-css`, 可高亮显示 js 中的`html/css`文本, 并支持`emmet`
  - `simple http`, 可快速配置 http 服务器,支持 history 路由
  - ...

- @bd/core 针对`web components`的核心封装库, 以数据驱动, 可以更方便的开发 wc 组件

### 开发进度 && 计划

- [x] `wc-card`卡片组件
- [x] `wc-space`间隔组件
- [ ] `wc-avatar`头像组件
- [x] `wc-badge`徽标组件
- [ ] `wc-drawer`抽屉组件
- [ ] `wc-collapse`折叠组件
- [ ] `wc-counter`倒计时组件
- [ ] `wc-drag`拖拽组件
- [x] `wc-button`表单组件-按钮
- [x] `wc-link`表单组件-链接按钮
- [x] `wc-checkbox`表单组件-复选框
- [ ] `wc-input`表单组件-文本输入框
- [x] `wc-passwd`表单组件-文本输入框
- [x] `wc-textarea`表单组件-多行文本输入框
- [x] `wc-number`表单组件-步进数字输入
- [ ] `wc-star`表单组件-评分
- [x] `wc-radio`表单组件-单选框
- [ ] `wc-select`表单组件-下拉选择
- [ ] `wc-cascadar`表单组件-多级联动
- [ ] `wc-switch`表单组件-开关
- [x] `wc-icon`图标组件
- [ ] `wc-layer` 弹层组件
- [x] `wc-markd`markdown 组件
- [ ] `wc-meditor`md 文本编辑器
- [ ] `wc-neditor`富文本编辑器
- [ ] `wc-pager`分页组件
- [x] `wc-color`颜色选择器
- [ ] `wc-datepicker`日期选择器
- [ ] `wc-timepicker`时间选择器
- [x] `wc-code`代码高亮插件
- [x] `wc-scroll`滚动组件
- [x] `wc-silder`滑块组件
- [ ] `wc-progress`进度条组件
- [ ] `wc-tree`树形菜单组件
- [ ] `wc-uploader`上传组件

### 测试预览

[测试预览](./develop.md)
